#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5.0.1
visibility:           public
id:                   typst-0.5.0.1-Df8pv1lSR2mK5IjLPcJqqw
key:                  typst-0.5.0.1-Df8pv1lSR2mK5IjLPcJqqw
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  23b4d315963ad17b8dccd6c99964291a
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.1-Df8pv1lSR2mK5IjLPcJqqw
depends:
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.2-IdCoOGVfycdEK6vw6IQvHI
    containers-0.6.5.1 directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.3-Ee6QR9weM8P1AVLTbz9WQP parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-Jhamw2aFykrCFUGKRi9D0n
    scientific-0.3.7.0-D1DD1zIlC2X8n3NjkdptHx text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.1.3-7pf0SRhk5Vu43NbsSbgX6i
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-E5qWEg2Mbs4GWxzttKkYkQ
    xml-conduit-1.9.1.4-B8OLKL3YpdA7UX7k1xN9Ze
    yaml-0.11.11.2-CXw3doeCEiJDcE2dReGEvd

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

